Skip to Content
Organization settings

Get the opening hours overview

Toegang

Lid van de organisatie met minstens één van deze rechten:

  • organization:settings:read
  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

GET
/orgs/{organizationId}/organization-settings/opening-hours/overview

Everything a website needs to show opening hours: the regular week and every seasonal period as weekly schedules (schedules, the one that applies today marked current), and the dates from today through the next six days that deviate from their weekly schedule (upcoming): an exception that changes the hours, or a public holiday the park is open on. An exception that matches the normal hours, such as closed on an already closed Sunday, is not listed. Optional languageIsoCode localizes holiday names. Requires organization:settings:read or organization:settings:write.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

languageIsoCode?string
Length2 <= length <= 3

Response Body

Weekly schedules and the coming week's deviations

application/json
  1. response
timeZone*string
today*string
Match^\d{4}-\d{2}-\d{2}$
schedules*array<>
upcoming*array<>

Dates from today through the next six days that deviate from their weekly schedule (an exception that changes the hours, or a public holiday the park is open on), in date order.

Example Request
curl -X GET 'https://api.tillor.eu/orgs//organization-settings/opening-hours/overview'
Example Response
{  "timeZone": "string",  "today": "string",  "schedules": [    {      "id": "string",      "kind": "regular",      "label": "string",      "range": {        "fromMonth": 1,        "fromDay": 1,        "untilMonth": 1,        "untilDay": 1      },      "weekdays": {        "monday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "tuesday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "wednesday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "thursday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "friday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "saturday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ],        "sunday": [          {            "startMinutes": 0,            "endMinutes": 0          }        ]      },      "current": true    }  ],  "upcoming": [    {      "date": "string",      "weekday": "monday",      "source": "exception",      "periodLabel": "string",      "holiday": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "startDate": "string",        "endDate": "string"      },      "blocks": [        {          "startMinutes": 0,          "endMinutes": 0        }      ],      "closed": true,      "notice": true    }  ]}